For the complete documentation index, see llms.txt. This page is also available as Markdown.

List products

Lists all products.

get
/tenants/{tenantUid}/products
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
productNamestringOptional

Reference to the name of a product.

productBrandUidstringOptional

Reference to a Brand uid.

Pattern: ^[A-Za-z0-9-_]+
productGroupUidstringOptional

Reference to a ProductGroup uid.

Pattern: ^[A-Za-z0-9-_]+
productExternalIdstringOptional

External reference to a product.

productPropertyUidsstring[]Optional

Reference to a list of propertyUids.

productPropertyOptionUidsstring[]Optional

Reference to a list of property options.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
excludeVariantsbooleanOptional

Exclude product variants.

includeDiscontinuedbooleanOptional

Include discontinued products

hideNotAllowPurchasebooleanOptional

when true, only show products with allowPurchase = true

Responses
200

Example response

application/json
get/tenants/{tenantUid}/products
GET /v2/tenants/{tenantUid}/products HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "allowAddon": true,
      "allowCredit": true,
      "allowNegativePrice": true,
      "allowPurchase": true,
      "allowQuantity": true,
      "allowSale": "YES",
      "allowSaleDate": "2026-01-01T00:00:00.000Z",
      "allowDelivery": "YES",
      "allowDeliveryDate": "2026-01-01T00:00:00.000Z",
      "allowOrderSpecificCost": true,
      "allowOrderSpecificName": true,
      "allowDiscount": true,
      "availableForWeb": true,
      "brandUid": "text",
      "brandName": "text",
      "calculationFactor": 1,
      "categoryUids": [
        "text"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAgeRestriction": 1,
      "description": "text",
      "discontinuedFrom": "2026-01-01T00:00:00.000Z",
      "externalId": "text",
      "externalInfo": "text",
      "externalUrl": "text",
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ],
      "height": 1,
      "internalInfo": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "length": 1,
      "name": "text",
      "optionProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "priceOverride": true,
      "productGroupUid": "text",
      "productGroupPath": [
        {
          "name": "text",
          "parentUid": "text",
          "productGroupUid": "text"
        }
      ],
      "productUid": "text",
      "productType": "STOCK",
      "recommendedRetailPrice": 1,
      "requiredVariantPropertyUids": [
        "text"
      ],
      "serialNoRequired": "NO",
      "sellOnlyAsAddon": true,
      "shortDescription": "text",
      "sku": "text",
      "manufacturerSku": "text",
      "suppliers": [
        {
          "name": "text",
          "supplierUid": "text",
          "supplierProductUid": "text",
          "purchasePrice": 1,
          "currency": "text",
          "supplierSku": "text"
        }
      ],
      "textProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "unitLabel": "text",
      "variantProductUids": [
        "text"
      ],
      "variantParentProductUid": "text",
      "vatCodeUid": "text",
      "usesVatMarginScheme": true,
      "weight": 1,
      "width": 1,
      "links": [
        {
          "productLinkUid": "text",
          "linkType": "INSURANCE",
          "productUid": "text"
        }
      ],
      "parents": [
        {
          "productLinkUid": "text",
          "linkType": "INSURANCE",
          "productUid": "text"
        }
      ],
      "requirements": {
        "requireCustomer": true,
        "requireCustomerMobile": true,
        "requireCustomerEmail": true,
        "requireCustomerDeliveryAddress": true,
        "orderItemReference": "text"
      },
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "imageCount": 1,
      "relevance": 1,
      "visibility": "ALWAYS_VISIBLE",
      "commission": 1,
      "productWarrantyUid": "text",
      "excludeFromStatistics": true,
      "purchasePrice": 1,
      "numberOfPieces": 1,
      "limitToStoreUids": [
        "text"
      ],
      "tradeUnit": 1
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?